Package com.ocient.util

# Class MockQueryRegistry.FetchError

java.lang.Object
com.ocient.util.MockQueryRegistry.FetchError

Enclosing class:
  `MockQueryRegistry`

public static class MockQueryRegistry.FetchError extends Object
Represents an externally injected error.

## Constructor Summary

Constructors
Constructor
Description
`FetchError()`

## Method Summary

Modifier and Type
Method
Description
`int`
`getCode()`
`String`
`getReason()`
`String`
`getState()`
`void`
`setCode(int code)`
`void`
`setReason(String reason)`
`void`
`setState(String state)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FetchError

public FetchError()

## Method Details

### getCode

public int getCode()

### setCode

public void setCode(int code)

### getState

public String getState()

### setState

public void setState(String state)

### getReason

public String getReason()

### setReason

public void setReason(String reason)